# Uses of Class
org.opensaml.saml.common.messaging.context.AbstractAuthenticatableSAMLEntityContext

Packages that use AbstractAuthenticatableSAMLEntityContext
Package
Description
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.common.messaging.context.navigate
Functions to navigate SAML message contexts.

## Uses of AbstractAuthenticatableSAMLEntityContext in org.opensaml.saml.common.binding.security.impl

Fields in org.opensaml.saml.common.binding.security.impl with type parameters of type AbstractAuthenticatableSAMLEntityContext
Modifier and Type
Field
Description
`private Class<? extends AbstractAuthenticatableSAMLEntityContext>`
CheckAndRecordServerTLSEntityAuthenticationtHandler.`entityContextClass`
The actual context class holding the authenticatable SAML entity.
`private Class<? extends AbstractAuthenticatableSAMLEntityContext>`
OperationContextEntityIDLookup.`entityContextClass`
The actual context class holding the authenticatable SAML entity.
`private Class<? extends AbstractAuthenticatableSAMLEntityContext>`
SAMLMDClientCertAuthSecurityHandler.`entityContextClass`
The actual context class holding the authenticatable SAML entity.
Methods in org.opensaml.saml.common.binding.security.impl that return types with arguments of type AbstractAuthenticatableSAMLEntityContext
Modifier and Type
Method
Description
`Class<? extends AbstractAuthenticatableSAMLEntityContext>`
SAMLMDClientCertAuthSecurityHandler.`getEntityContextClass()`
Get the class type holding the authenticatable SAML entity data.
Method parameters in org.opensaml.saml.common.binding.security.impl with type arguments of type AbstractAuthenticatableSAMLEntityContext
Modifier and Type
Method
Description
`void`
CheckAndRecordServerTLSEntityAuthenticationtHandler.`setEntityContextClass(Class<? extends AbstractAuthenticatableSAMLEntityContext> clazz)`
Set the class type holding the authenticatable SAML entity data.
`void`
SAMLMDClientCertAuthSecurityHandler.`setEntityContextClass(Class<? extends AbstractAuthenticatableSAMLEntityContext> clazz)`
Set the class type holding the authenticatable SAML entity data.
Constructor parameters in org.opensaml.saml.common.binding.security.impl with type arguments of type AbstractAuthenticatableSAMLEntityContext
Modifier
Constructor
Description
``
`OperationContextEntityIDLookup(Class<? extends AbstractAuthenticatableSAMLEntityContext> clazz)`
Constructor.

## Uses of AbstractAuthenticatableSAMLEntityContext in org.opensaml.saml.common.messaging.context

Subclasses of AbstractAuthenticatableSAMLEntityContext in org.opensaml.saml.common.messaging.context
Modifier and Type
Class
Description
`final class`
`SAMLPeerEntityContext`
Subcontext that carries information about a SAML peer entity.
`final class`
`SAMLPresenterEntityContext`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of AbstractAuthenticatableSAMLEntityContext in org.opensaml.saml.common.messaging.context.navigate

Fields in org.opensaml.saml.common.messaging.context.navigate with type parameters of type AbstractAuthenticatableSAMLEntityContext
Modifier and Type
Field
Description
`private Class<? extends AbstractAuthenticatableSAMLEntityContext>`
SAMLMessageContextAuthenticationFunction.`entityContextClass`
The context class representing the authenticatable SAML entity.
Method parameters in org.opensaml.saml.common.messaging.context.navigate with type arguments of type AbstractAuthenticatableSAMLEntityContext
Modifier and Type
Method
Description
`void`
SAMLMessageContextAuthenticationFunction.`setEntityContextClass(Class<? extends AbstractAuthenticatableSAMLEntityContext> clazz)`
Set the class type holding the authenticatable SAML entity data.